package com.energy.manage.service.domain.vo.windenginegroup;

import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Objects;

/**
 *
 * @ClassName WindEngineGroupShortVo
 * @author chy
 * @date 2024/7/16 11:38
 * @desc
 */
@Data
@Accessors(chain = true)
public class WindEngineGroupShortVo {

    /**
     * 风机编号
     */
    private String engineCode;

    /**
     * 风机名称
     */
    private String engineName;

    @Override
    public int hashCode() {
        return Objects.hash(engineCode,engineName);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) return true;
        if (obj == null || getClass() != obj.getClass()) return false;
        WindEngineGroupShortVo vo = (WindEngineGroupShortVo) obj;
        return Objects.equals(engineCode, vo.engineCode) &&
                Objects.equals(engineName, vo.engineName);
    }

}
